/** @file MOMDiscInfo.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMDiscInfo_h
#define MOMDiscInfo_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>

#include "MOMRecorder.h"

namespace WebCore {

class MOMDiscInfo : public RefCounted<MOMDiscInfo> {
public:
    enum {
        READY = 0,
        REBOOT_REQUIRED = 1,
        FORMAT_REQUIRED = 2,
        REFORMAT_REQUIRED = 3,
        BUSY = 4,
        BAD_FORMAT = 5,
        BAD_DISC = 6,
        INCOMPATIBLE = 7,
    };

    static PassRefPtr<MOMDiscInfo> create(mom_recorder recorder);
    ~MOMDiscInfo();

    int state() const;
    int free() const;
    int total() const;

protected:
    MOMDiscInfo(mom_recorder recorder);

private:
    mom_recorder m_recorder;
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMDiscInfo_h
